<?php

declare(strict_types=1);

defined('ABSPATH') || exit;

// @phpcs:disable PSR1.Files.SideEffects
// @phpcs:disable Generic.Files.LineLength 

/**
 * Plugin Name: TokenICO
 * Version:     2.4.10
 * Plugin URI:  https://beycanpress.com/tokenico/
 * Description: Cryptocurrency (Token), Launchpad (Presale), ICO & IDO, Airdrop
 * Author:      BeycanPress LLC
 * Author URI:  https://beycanpress.com/
 * Text Domain: tokenico
 * Domain Path: /languages
 * License:     GPLv3
 * License URI: https://www.gnu.org/licenses/gpl-3.0.html
 * Tags:        crypto, token, tokenico, presale, ico, ido, airdrop
 * Requires at least: 5.0
 * Tested up to: 7.0
 * Requires PHP: 8.1
*/

require __DIR__ . '/vendor/autoload.php';
use BeycanPress\Tokenico\PluginHero\Helpers;

$args = [
    'phpVersions' => 8.1
];

if (Helpers::createRequirementRules($args, __FILE__)) {
    define('BP_TOKENICO_LOADED', true);
    new \BeycanPress\Tokenico\Loader(__FILE__);
}
